apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ .Release.Name }}
  annotations:
    kubernetes.io/ingress.global-static-ip-name: {{ .Values.ingress.ip }}
    networking.gke.io/managed-certificates: {{ .Release.Name }}
    networking.gke.io/v1beta1.FrontendConfig: {{ .Release.Name }}
spec:
  rules:
    - host: "{{ .Values.ingress.domain }}"
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service: 
                name: {{ .Release.Name }}
                port:
                  number: 80